Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Phone

Added WhatsApp Messaging and Call Logs APIs

API release

Summary:Added WhatsApp messaging and Call Logs APIs, new WhatsApp message webhook events, and new response fields for call handler and AI call summary data.

Added

  • New WhatsApp Messages APIs:
    • POST /v2/phone/whatsapp/messages
    • POST /v2/accounts/{accountId}/phone/whatsapp/messages
    • GET /v2/phone/users/{userId}/whatsapp/sessions
    • GET /v2/accounts/{accountId}/phone/users/{userId}/whatsapp/sessions
    • GET /v2/phone/whatsapp/sessions/{sessionId}
    • GET /v2/accounts/{accountId}/phone/whatsapp/sessions/{sessionId}
    • GET /v2/phone/whatsapp/sessions/{sessionId}/messages/{messageId}
    • GET /v2/accounts/{accountId}/phone/whatsapp/sessions/{sessionId}/messages/{messageId}
    • GET /v2/phone/whatsapp/sessions
    • GET /v2/accounts/{accountId}/phone/whatsapp/sessions
  • New Call Logs APIs:
    • DELETE /v2/phone/users/{userId}/call_history/{callElementId}
    • DELETE /v2/accounts/{accountId}/phone/users/{userId}/call_history/{callElementId}
    • PATCH /v2/accounts/{accountId}/phone/call_history/{callElementId}/client_code
    • PATCH /v2/phone/call_history/{callElementId}/client_code
  • New webhook Webhook event::
    • phone.whatsapp_message_sent_failed
    • phone.whatsapp_message_sent
    • phone.whatsapp_message_received

Enhancements

  • New handler_ext_id,handler_ext_type,handler_ext_number,handler_name response fields in the following Call Logs APIs:
    • GET /v2/accounts/{accountId}/phone/call_history/{callHistoryUuid}
    • GET /v2/accounts/{accountId}/phone/call_history/{callHistoryUuid}
    • GET /v2/phone/call_history/{callHistoryUuid}
    • GET /v2/phone/call_history/{callHistoryUuid}
  • New ai_call_summary_id response field in the following Call Logs APIs:
    • GET /v2/accounts/{accountId}/phone/users/{userId}/call_history
    • GET /v2/phone/users/{userId}/call_history
    • GET /v2/accounts/{accountId}/phone/call_history/{callHistoryUuid}
    • GET /v2/phone/call_history/{callHistoryUuid}
  • New call_element_ids field in the following webhook webhook events:
    • phone.ai_call_summary_changed